Bug 119513 - User deletion should not silently remove groups
User deletion should not silently remove groups
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: redhat-config-users (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-30 19:25 EST by Ben Stringer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-21 14:48:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Stringer 2004-03-30 19:25:50 EST
Description of problem:
Removing a user will remove also remove their group if they are the
only member of that group. This should either be disabled or the user
should be prompted if they want this to happen. Whilst it makes sense
for "private groups", it does not necessarily make sense for standard
groups.


Version-Release number of selected component (if applicable):
redhat-config-users-1.2.4-1

How reproducible:
absolutely.

Steps to Reproduce:
1. Create a group "transient"
2. Create a user (non-private group) and change their primary group to
"transient"
3. Delete the user.
  
Actual results:
The group "transient" goes too.

Expected results:
The group stays.
Comment 1 Brent Fox 2004-04-21 11:20:39 EDT
The group "transient" will only be removed if it has a gid greater
than 499.  System groups are not removed when a user gets deleted. 
Only groups with gids greater than 499 will get automatically removed.  
Comment 2 Brent Fox 2004-05-21 14:48:44 EDT
Closing as 'notabug'.

Note You need to log in before you can comment on or make changes to this bug.